Subject: [Teas] Next Steps for ACTN Framework? - RE: FW: New Version Notification for draft-ietf-teas-actn-framework-07.txt

From: <[email-masked]>
Date: Wed, 16 Aug 2017 19:42:14 +0300

Hi Chairs, all. 

What’s the status with the I-D ? Did we decide the I-D was going forward as I believe it’s ready. Eventually having the work published as a formal document would really help the industry recognise ACTN as an SDN controller framework for TE networks. 

BR, Dan. 

From: Teas [mailto:[email-masked]] On Behalf Of Italo Busi
Sent: 21 July 2017 15:22
To: Leeyoung <[email-masked]>; [email-masked]
Subject: Re: [Teas] FW: New Version Notification for draft-ietf-teas-actn-framework-07.txt

Hi Young,

I have read the new section 6 and I am ok with the latest changes. 

I have read the -06 version of the framework and I think you had already addressed all my previous comments.

Therefore I believe the document is ready for WG LC.

Italo

From: Leeyoung [mailto:[email-masked]] 
Sent: giovedì 20 luglio 2017 11:23
To: [email-masked] <mailto:[email-masked]> 
Subject: [Teas] FW: New Version Notification for draft-ietf-teas-actn-framework-07.txt

Hi, 

We have uploaded the ACTN framework draft completely merging with the Abstraction Method draft https://datatracker.ietf.org/doc/draft-lee-teas-actn-abstraction/ . This decision was made per WG chairs’ recommendation. All changes took place in Section 6. We added Sections 6.1 and 6.3 and 6.4. All these are imported from The Abstraction Method draft with minor edit to shorten the length and to make the flow better. If this is acceptable, we will deprecate the Abstraction method draft. 

6. Topology Abstraction Method...................................21

      6.1. Abstraction Factors......................................22 (added)

      6.2. Abstraction Types........................................23

         6.2.1. Native/White Topology...............................23

         6.2.2. Black Topology......................................24

         6.2.3. Grey Topology.......................................25

      6.3. Building Method of Grey Topology.........................27 (added)

         6.3.1. Automatic generation of abstract topology by

         configuration..............................................27

         6.3.2. On-demand generation of supplementary topology via path

         compute request/reply......................................28

      6.4. Abstraction Configuration Consideration..................29 (added)

         6.4.1. Packet Networks.....................................29

         6.4.2. OTN Networks........................................29

         6.4.3. WSON Networks.......................................30

      6.5. Topology Abstraction Granularity Level example.

We’d appreciate your review and comment. As Pavan mentioned during the TEAS meeting, the WG LC for this draft would be the next step upon the approval of the chairs. 

Thanks & Best regards,

Daniele and Young

-----Original Message-----
From: [email-masked] <mailto:[email-masked]>  [mailto:[email-masked]] 
Sent: Thursday, July 20, 2017 11:19 AM
To: Daniele Ceccarelli <[email-masked] <mailto:[email-masked]> >; Leeyoung <[email-masked] <mailto:[email-masked]> >
Subject: New Version Notification for draft-ietf-teas-actn-framework-07.txt

A new version of I-D, draft-ietf-teas-actn-framework-07.txt

has been successfully submitted by Young Lee and posted to the IETF repository.

Name:                  draft-ietf-teas-actn-framework

Revision:              07

Title:                     Framework for Abstraction and Control of Traffic Engineered Networks

Document date: 2017-07-20

Group:                  teas

Pages:                  46

URL:             <https://www.ietf.org/internet-drafts/draft-ietf-teas-actn-framework-07.txt> https://www.ietf.org/internet-drafts/draft-ietf-teas-actn-framework-07.txt

Status:          <https://datatracker.ietf.org/doc/draft-ietf-teas-actn-framework/> https://datatracker.ietf.org/doc/draft-ietf-teas-actn-framework/

Htmlized:        <https://tools.ietf.org/html/draft-ietf-teas-actn-framework-07> https://tools.ietf.org/html/draft-ietf-teas-actn-framework-07

Htmlized:        <https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-framework-07> https://datatracker.ietf.org/doc/html/draft-ietf-teas-actn-framework-07

Diff:            <https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-actn-framework-07> https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-actn-framework-07

Abstract:

   Traffic Engineered networks have a variety of mechanisms to

   facilitate the separation of the data plane and control plane. They

   also have a range of management and provisioning protocols to

   configure and activate network resources.  These mechanisms

   represent key technologies for enabling flexible and dynamic

   networking.

   Abstraction of network resources is a technique that can be applied

   to a single network domain or across multiple domains to create a

   single virtualized network that is under the control of a network

   operator or the customer of the operator that actually owns

   the network resources.

   This document provides a framework for Abstraction and Control of

   Traffic Engineered Networks (ACTN).

 

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat